package com.zswl.dataservicestarter.controller;

import com.github.javaparser.quality.NotNull;
import com.zswl.dataservicestarter.service.UserService;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.Cleanup;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;

/**
 *
 */
@RequestMapping("/test")
@RestController
@Validated
public class TestController {

    @Autowired
    UserService userService;

    @ApiOperation(value = "测试方法", notes = "测试方法")
    @RequestMapping(
            value = "test",
            method = {RequestMethod.GET, RequestMethod.POST})
    public ResultContent test(String name) {
        Map map = new HashMap();
        map.put("obj", name);
        map.put("time", System.currentTimeMillis());

        return userService.addUser(name);
    }

    @RequestMapping(value = "uploadFileDelegate", method = RequestMethod.POST)
    @SneakyThrows
    public ResultContent uploadFileDelegate(
            @RequestParam(value = "file") @NotNull MultipartFile multipartFile,
            String path,
            String epId) {
        @Cleanup InputStream inputStream = multipartFile.getInputStream();
        return ResultContent.buildSuccess();
    }
}
