package com.zswl.dataservicestarter.domain;

import cn.hutool.json.JSONObject;
import com.zswl.dataservicestarter.domain.base.DataServiceSuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * 商品信息
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class DataServiceGoods extends DataServiceSuperEntity {

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 商品id
     */
    private String goodsId;

    /**
     * 商品类型
     */
    private Integer goodsType;

    /**
     * 商品全部信息
     */
    private JSONObject goodsInfo;

    /**
     * 商品单价
     */
    private BigDecimal payAmount;

    /**
     * 扩展信息
     */
    private String extend;

}
