package com.zswl.dataservicestarter.domain;

import com.zswl.dataservicestarter.domain.base.DataServiceSuperEntity;
import com.zswl.dataservicestarter.type.DataServiceRefundLogType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 订单的退款状态信息
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class RefundLog extends DataServiceSuperEntity {

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 退款时间
     */
    private Long refundTime;

    /**
     * 申请信息
     */
    private Long applicationRefundTime;

    /**
     * 退款状态
     */
    private DataServiceRefundLogType refund;

    /**
     * 退款审核结果
     */
    private String conclusion;
}
