package com.zswl.dataservicestarter.domain.base;

import lombok.Data;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.jpa.domain.AbstractPersistable;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;
import org.springframework.data.mongodb.core.index.Indexed;

import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;

@Data
@MappedSuperclass
@EntityListeners(AuditingEntityListener.class)
public abstract class DataServiceSuperEntity extends AbstractPersistable<String> implements Serializable {


    @Id
    private String id;

    /**
     * 创建时间
     */

    @Indexed
    @CreatedDate
    private Long createTime;

    /**
     * 修改时间
     */
    @Indexed
    @LastModifiedDate
    private Long updateTime;

    /**
     * 备注
     */
    private String remark;

}
