package com.zswl.dataservicestarter.model;

import cn.hutool.json.JSONObject;
import com.zswl.dataservicestarter.domain.DataServiceGoods;
import com.zswl.dataservicestarter.domain.DataServicePaymentInfo;
import com.zswl.dataservicestarter.domain.RefundLog;
import com.zswl.dataservicestarter.type.DataServiceOrderType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author TRX
 * @date 2024/3/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("支付信息Model")
public class DataServiceOrderInfoModel extends SuperModel {
    /**
     * 数据的hashCode
     */
    private int hashCode;

    /**
     * 订单类型 平台  商铺
     */
    private DataServiceOrderType orderType;

    /**
     * 是否已同步
     */
    private Boolean isSync;

    /**
     * 同步时间
     */
    private Long syncTime;

    //----------------------------平台订单信息 start-------------------------

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 店铺ID
     */
    private String epId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 店铺信息
     */
    private JSONObject shopInfo;

    /**
     * 商品总价格
     */
    private BigDecimal totalAmount;

    /**
     * 优惠价格
     */
    private BigDecimal discountAmount;


    /**
     * 实际支付价格
     */
    private BigDecimal payAmount;

    /**
     * 使用优惠券信息
     */
    private List<JSONObject> discountList;

    /**
     * 退款信息
     */
    private RefundLog refundLog;

    /**
     * 是否已退款
     */
    private Boolean isRefund;

    /**
     * 扩展参数
     */
    private String extend;

    /**
     * 商品和分账信息
     */
    private List<DataServiceGoodsModel> goodsList;

    /**
     * 支付信息
     */
    private DataServicePaymentInfoModel payment;
}
