package com.zswl.dataservicestarter.scheduled;

import com.zswl.dataservicestarter.utils.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author TRX
 * @date 2024/3/26
 */
@Component
@Configurable
@EnableScheduling
@Slf4j
public class OrderInfoSyncScheduled {
    @Scheduled(fixedRate = 1000 * 5)
    public void syncOrderInfo() {
        log.info("同步时间： {}", DateUtils.paresTime(System.currentTimeMillis(), DateUtils.FORMAT_LONG));
    }
}
