package com.zswl.dataservicestarter.service;

import com.zswl.dataservicestarter.dao.AppInfoDao;
import com.zswl.dataservicestarter.domain.AppInfo;
import com.zswl.dataservicestarter.model.TokenModel;
import com.zswl.dataservicestarter.model.params.TokenParam;
import com.zswl.dataservicestarter.type.AppState;
import com.zswl.dataservicestarter.utils.AppInfoUtil;
import com.zswl.dataservicestarter.utils.SecurityUtil;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import com.zswl.dataservicestarter.dao.AppInfoDao;
import com.zswl.dataservicestarter.model.TokenModel;
import com.zswl.dataservicestarter.model.params.TokenParam;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author TRX
 * @date 2024/3/21
 */
@Service
public class AppInfoService {

    @Autowired
    AppInfoDao appInfoDao;


    public ResultContent<TokenModel> getToken(TokenParam param) {
        TokenModel model = new TokenModel();

        return ResultContent.buildSuccess(model);
    }

    /**
     * 添加客户端信息
     *
     * @return
     */
    public ResultContent addAppInfo() {
        AppInfo appInfo = new AppInfo();
        String enId = AppInfoUtil.generateRandomString();
        String appSecret = SecurityUtil.passWord(enId);
        appInfo.setEntId(enId);
        appInfo.setAppSecret(appSecret);
        appInfo.setAppState(AppState.Enable);
        appInfoDao.save(appInfo);

        return ResultContent.buildSuccess();
    }
}
