package com.zswl.dataservicestarter.service;

import cn.hutool.json.JSONObject;
import com.zswl.dataservicestarter.dao.DataServiceOrderInfoDao;
import com.zswl.dataservicestarter.dao.UserDao;
import com.zswl.dataservicestarter.domain.DataServiceOrderInfo;
import com.zswl.dataservicestarter.domain.User;
import com.zswl.dataservicestarter.model.DataServiceGoodsModel;
import com.zswl.dataservicestarter.model.DataServiceOrderInfoModel;
import com.zswl.dataservicestarter.model.DataServicePaymentInfoModel;
import com.zswl.dataservicestarter.service.baeService.RedisService;
import com.zswl.dataservicestarter.utils.AppInfoUtil;
import com.zswl.dataservicestarter.utils.CommonUtil;
import com.zswl.dataservicestarter.utils.exception.BusinessException;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.gridfs.GridFsTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author TRX
 * @date 2024/3/20
 */
@Slf4j
@Service
public class UserService {

    @Autowired
    UserDao userDao;

    @Autowired
    RedisService redisService;

    @Autowired
    GridFsTemplate gridFsTemplate;

    @Autowired
    DataServiceOrderInfoDao orderInfoDao;

    @Autowired
    DataServiceOrderInfoService orderInfoService;

    @Transactional
    public ResultContent addUser(String name) {
        DataServiceOrderInfoModel model = new DataServiceOrderInfoModel();
        model.setEpId("1");
        model.setOrderNo("1000");
        JSONObject shopInfo = new JSONObject();
        shopInfo.append("name", "美宜佳");
        model.setShopInfo(shopInfo);
        model.setTotalAmount(BigDecimal.valueOf(100));
        model.setDiscountAmount(BigDecimal.valueOf(10));
        model.setPayAmount(BigDecimal.valueOf(90));

        List<DataServiceGoodsModel> goodsList = new ArrayList<>();
        DataServiceGoodsModel goodsModel = new DataServiceGoodsModel();
        goodsModel.setGoodsId("1");
        goodsModel.setGoodsType(0);
        JSONObject goodsInfo = new JSONObject();
        goodsInfo.putOpt("name", "打火机");
        goodsModel.setGoodsInfo(goodsInfo);
        goodsModel.setPayAmount(BigDecimal.valueOf(90));
        goodsList.add(goodsModel);
        model.setGoodsList(goodsList);

        // 支付信息
        DataServicePaymentInfoModel paymentInfoMode = new DataServicePaymentInfoModel();
        paymentInfoMode.setPaymentTime(String.valueOf(System.currentTimeMillis()));
        model.setPayment(paymentInfoMode);

        return orderInfoService.saveOrderInfoFromPlatform(model);
    }
}
